码迷,mamicode.com
首页 > 系统相关 > 详细

Ubuntu18.04安装qemu遇到问题-qemu : Depends: qemu-system (>= 1:2.11+dfsg-1ubuntu7)

时间:2021-07-28 21:25:33      阅读:0      评论:0      收藏:0      [点我收藏+]

标签:blog   src   遇到   qemu   虚拟   pre   没有   etc   pen   

在Ubuntu虚拟机中,模拟arm开法环境的话,一般是需要交叉编译工具链和qemu来配合使用。安装qemu过程中遇到的问题,我将记录下来。

sudo apt-get install qemu

技术图片

 

 处理办法便是,依照这个链接进行。如果你能成功那自然好。但是我并没有成功,安装aptitude的时候出现了这个问题?

如果不行,试试更新清华镜像源,之后执行update和upgrade即可。
这时我直接开始sudo apt-get install qemu,结果成功了,如果你没成功的话,那么还是安装aptitude来进行吧。

1 备份

sudo cp /etc/apt/sources.list /etc/apt/sources.list.backup

2 获取源

清华源镜像

3 更新源服务器列表

sudo gedit /etc/apt/sources.list

4 删除所有文字内容,将复制的更新源信息贴到sources.list里面

技术图片

 

Ubuntu18.04安装qemu遇到问题-qemu : Depends: qemu-system (>= 1:2.11+dfsg-1ubuntu7)

标签:blog   src   遇到   qemu   虚拟   pre   没有   etc   pen   

原文地址:https://www.cnblogs.com/Rainingday/p/15068414.html

(0)
(0)
   
举报
评论 一句话评论(0
登录后才能评论!
© 2014 mamicode.com 版权所有
迷上了代码!